package controller

import (
	"github.com/rs/zerolog"
	"netidhub-saas-be/app/module/advertisement/service"
)

type Controller struct {
	Advertisement AdvertisementController
}

func NewController(AdvertisementService service.AdvertisementService, log zerolog.Logger) *Controller {
	return &Controller{
		Advertisement: NewAdvertisementController(AdvertisementService, log),
	}
}
